Debian Bug report logs - #641465
ITP: kboot-utils -- Helper tools to generate a kboot.conf file

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antonio Ospite <ospite@studenti.unina.it>

Date: Tue, 13 Sep 2011 15:27:32 UTC

Owned by: Antonio Ospite <ospite@studenti.unina.it>

Severity: wishlist

Fixed in version kboot-utils/0.4-1

Done: Antonio Ospite <ospite@studenti.unina.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#641465; Package wnpp. (Tue, 13 Sep 2011 15:27:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 13 Sep 2011 15:27:35 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: kboot-utils -- Helper tools to generate a kboot.conf file
Date: Tue, 13 Sep 2011 17:24:48 +0200
Package: wnpp
Severity: wishlist
Owner: Antonio Ospite <ospite@studenti.unina.it>

Dear Maintainer,

* Package name    : kboot-utils
  Version         : 0.1
  Upstream Author : Antonio Ospite <ospite@studenti.unina.it>
* URL             : http://git.ao2.it/kboot-utils.git/
* License         : GPLv3
  Programming Lang: Posix shell
  Description     : Helper tools to generate a kboot.conf file
    Helper tools to automatically generate a kboot.conf from entries in /boot
    .
    The kboot.conf file can be read by the petitboot  bootloader which is used
    for instance on the Sony Playstation 3 in OtherOS mode in order to list
    kernels to boot.

Hi,

on PS3 there is the need to have a kboot.conf inside the rootfs so that 
the petitboot bootloader knows which kernels can be booted and list them.
kboot-utils automatically creates this file by looking at kernels in 
/boot.

This functionality is especially needed at install time, the 
debian-installer works on PS3 but in order to boot the machine the first 
time, some manual intervention is still needed, look at #619236 [1].

I am the upstream author and the packager, please take a look at the 
debian/ dir in the upstream source for the packaging stuff, and to the 
script itself if you like.

I am looking at a better way to handle debian packages directly from 
git, but for the time being, for such a simple package, having the 
debian/ dir in the upstream code didn't look too horrible.

I built the package with "dpkg-buildpackage -b -us -uc -tc" and verified 
it is lintian-clean (except the ITP related warnings which I'll fix 
soon) and even piuparts-clean.

I am no DD, so I guess a sponsor would be needed when the package is in 
shape and ready to be uploaded.

Thanks,
   Antonio Ospite
   http://ao2.it

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619236




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Ospite <ospite@studenti.unina.it>:
Bug#641465; Package wnpp. (Mon, 27 May 2013 13:40:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Ospite <ospite@studenti.unina.it>. (Mon, 27 May 2013 13:40:23 GMT) Full text and rfc822 format available.

Message #10 received at 641465@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 641465@bugs.debian.org
Cc: control@bugs.debian.org
Subject: kboot-utils: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:24 +0200
retitle 641465 RFP: kboot-utils -- Helper tools to generate a kboot.conf file
noowner 641465
tag 641465 - pending
thanks

Hi,

This is an automatic email to change the status of kboot-utils back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting kboot-utils, please send a mail to
<control@bugs.debian.org> with:

 retitle 641465 ITP: kboot-utils -- Helper tools to generate a kboot.conf file
 owner 641465 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <641465@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: kboot-utils -- Helper tools to generate a kboot.conf file' from 'ITP: kboot-utils -- Helper tools to generate a kboot.conf file' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:07:13 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Antonio Ospite <ospite@studenti.unina.it>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:07:13 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Antonio Ospite <ospite@studenti.unina.it> to control@bugs.debian.org. (Mon, 27 May 2013 14:44:16 GMT) Full text and rfc822 format available.

Notification sent to Antonio Ospite <ospite@studenti.unina.it>:
Bug acknowledged by developer. (Mon, 27 May 2013 14:44:17 GMT) Full text and rfc822 format available.

Message sent on to Antonio Ospite <ospite@studenti.unina.it>:
Bug#641465. (Mon, 27 May 2013 14:48:04 GMT) Full text and rfc822 format available.

Message #21 received at 641465-submitter@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: 641465-submitter@bugs.debian.org
Subject: kboot-utils is not necessary anymore for Debian on PS3
Date: Mon, 27 May 2013 16:45:28 +0200
Hi,

I am closing this bug because kboot-utils is not necessary anymore for
Debian on PS3. It was necessary because after installation the
bootloader (petitboot) could not find a kboot.conf file and didn't know
what kernel to boot.

Recent versions of petitboot can read grub config files to know what
kernels are installed, so as long as grub is installed Debian on PS3
should be OK.

Thanks,
   Antonio

-- 
Antonio Ospite
http://ao2.it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?



Information stored :
Bug#641465; Package wnpp. (Tue, 28 May 2013 23:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoff@infradead.org>:
Extra info received and filed, but not forwarded. (Tue, 28 May 2013 23:09:09 GMT) Full text and rfc822 format available.

Message #26 received at 641465-quiet@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoff@infradead.org>
To: Antonio Ospite <ospite@studenti.unina.it>, 641465-quiet@bugs.debian.org
Cc: 641465-submitter@bugs.debian.org
Subject: Re: Bug#641465: kboot-utils is not necessary anymore for Debian on PS3
Date: Tue, 28 May 2013 15:28:14 -0700
Hi Antonio,

On Mon, 2013-05-27 at 16:45 +0200, Antonio Ospite wrote:
> I am closing this bug because kboot-utils is not necessary anymore for
> Debian on PS3. It was necessary because after installation the
> bootloader (petitboot) could not find a kboot.conf file and didn't know
> what kernel to boot.
> 
> Recent versions of petitboot can read grub config files to know what
> kernels are installed, so as long as grub is installed Debian on PS3
> should be OK.

I have not released an updated version of petitboot for PS3 (otheros.bld),
so the user will still need to get a usable kboot.conf file.

Will current D-I install a grub config file on PS3?  We need to check if
it does.

I think kboot-utils will still be useful until the above are worked out.

-Geoff




Message sent on to Antonio Ospite <ospite@studenti.unina.it>:
Bug#641465. (Tue, 28 May 2013 23:09:12 GMT) Full text and rfc822 format available.

Information stored :
Bug#641465; Package wnpp. (Wed, 29 May 2013 07:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and filed, but not forwarded. (Wed, 29 May 2013 07:30:04 GMT) Full text and rfc822 format available.

Message #34 received at 641465-quiet@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Geoff Levand <geoff@infradead.org>
Cc: 641465-quiet@bugs.debian.org, 641465-submitter@bugs.debian.org
Subject: Re: Bug#641465: kboot-utils is not necessary anymore for Debian on PS3
Date: Wed, 29 May 2013 09:23:55 +0200
On Tue, 28 May 2013 15:28:14 -0700
Geoff Levand <geoff@infradead.org> wrote:

> Hi Antonio,
>

Hi Geoff,

> On Mon, 2013-05-27 at 16:45 +0200, Antonio Ospite wrote:
> > I am closing this bug because kboot-utils is not necessary anymore for
> > Debian on PS3. It was necessary because after installation the
> > bootloader (petitboot) could not find a kboot.conf file and didn't know
> > what kernel to boot.
> > 
> > Recent versions of petitboot can read grub config files to know what
> > kernels are installed, so as long as grub is installed Debian on PS3
> > should be OK.
> 
> I have not released an updated version of petitboot for PS3 (otheros.bld),
> so the user will still need to get a usable kboot.conf file.
>

Ah, I see, I overlooked the situation.
BTW is petitboot used in OtherOS++ setups too? I am still with firmware
3.15 so I don't know much about that.

> Will current D-I install a grub config file on PS3?  We need to check if
> it does.
>

I haven't tested the installer on PS3 for a while.
However having the installer bring in grub if machine == PS3 will not
be hard.

> I think kboot-utils will still be useful until the above are worked out.
>

Geoff, can you upload Debian packages, or do you have any sponsor who
can help getting kboot-utils into Debian?

I will re-open the bug and double check the packaging bits as soon as we
find a sponsor.

Thanks,
   Antonio

-- 
Antonio Ospite
http://ao2.it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?



Message sent on to Antonio Ospite <ospite@studenti.unina.it>:
Bug#641465. (Wed, 29 May 2013 07:30:07 GMT) Full text and rfc822 format available.

Information stored :
Bug#641465; Package wnpp. (Wed, 29 May 2013 19:18:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoff@infradead.org>:
Extra info received and filed, but not forwarded. (Wed, 29 May 2013 19:18:18 GMT) Full text and rfc822 format available.

Message #42 received at 641465-quiet@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoff@infradead.org>
To: Antonio Ospite <ospite@studenti.unina.it>, 641465-quiet@bugs.debian.org
Cc: 641465-submitter@bugs.debian.org
Subject: Re: Bug#641465: kboot-utils is not necessary anymore for Debian on PS3
Date: Wed, 29 May 2013 12:16:43 -0700
On Wed, 2013-05-29 at 09:23 +0200, Antonio Ospite wrote:
> On Tue, 28 May 2013 15:28:14 -0700
> Geoff Levand <geoff@infradead.org> wrote:
> > I have not released an updated version of petitboot for PS3 (otheros.bld),
> > so the user will still need to get a usable kboot.conf file.
> >
> 
> Ah, I see, I overlooked the situation.
> BTW is petitboot used in OtherOS++ setups too? I am still with firmware
> 3.15 so I don't know much about that.

I know nothing about OtherOS++.

> > Will current D-I install a grub config file on PS3?  We need to check if
> > it does.
> >
> 
> I haven't tested the installer on PS3 for a while.
> However having the installer bring in grub if machine == PS3 will not
> be hard.

I just tested the daily build (2013.05.18), and it does not install a
bootloader or config file.  Installing grub doesn't sound like good
idea, as it won't work on PS3.

> > I think kboot-utils will still be useful until the above are worked out.
> 
> Geoff, can you upload Debian packages, or do you have any sponsor who
> can help getting kboot-utils into Debian?
> 
> I will re-open the bug and double check the packaging bits as soon as we
> find a sponsor.

I think someone will want to see the package before becoming a
sponsor...

-Geoff




Message sent on to Antonio Ospite <ospite@studenti.unina.it>:
Bug#641465. (Wed, 29 May 2013 19:18:21 GMT) Full text and rfc822 format available.

Bug reopened Request was from Antonio Ospite <ospite@studenti.unina.it> to control@bugs.debian.org. (Wed, 29 May 2013 22:09:07 GMT) Full text and rfc822 format available.

Information stored :
Bug#641465; Package wnpp. (Wed, 29 May 2013 22:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and filed, but not forwarded. (Wed, 29 May 2013 22:09:11 GMT) Full text and rfc822 format available.

Message #52 received at 641465-quiet@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Geoff Levand <geoff@infradead.org>
Cc: 641465-quiet@bugs.debian.org, 641465-submitter@bugs.debian.org
Subject: Re: Bug#641465: kboot-utils is not necessary anymore for Debian on PS3
Date: Thu, 30 May 2013 00:07:22 +0200
On Wed, 29 May 2013 12:16:43 -0700
Geoff Levand <geoff@infradead.org> wrote:

> On Wed, 2013-05-29 at 09:23 +0200, Antonio Ospite wrote:
> > On Tue, 28 May 2013 15:28:14 -0700
[...]
> > Geoff, can you upload Debian packages, or do you have any sponsor who
> > can help getting kboot-utils into Debian?
> > 
> > I will re-open the bug and double check the packaging bits as soon as we
> > find a sponsor.
> 
> I think someone will want to see the package before becoming a
> sponsor...

Right, I was referring to a post-review check, BTW the packages are
already functional and can be found at http://ao2.it/debian/

So let's re-open the ITP bug and I'll look again for a sponsor.

Thanks,
   Antonio

-- 
Antonio Ospite
http://ao2.it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?



Message sent on to Antonio Ospite <ospite@studenti.unina.it>:
Bug#641465. (Wed, 29 May 2013 22:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#641465; Package wnpp. (Wed, 29 May 2013 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 May 2013 22:15:05 GMT) Full text and rfc822 format available.

Message #60 received at 641465@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Lucas Nussbaum <lucas@debian.org>
Cc: 641465@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#641465: kboot-utils: changing back from ITP to RFP
Date: Thu, 30 May 2013 00:12:30 +0200
retitle 641465 ITP: kboot-utils -- Helper tools to generate a kboot.conf file
owner 641465 !
thanks

The package will still be useful to complete the installation on PS3.

Binary packages can be found at http://ao2.it/debian/

The source code is at http://git.ao2.it/kboot-utils.git/
the packaging bits are in the "debian" branch.

Regards,
   Antonio



Changed Bug title to 'ITP: kboot-utils -- Helper tools to generate a kboot.conf file' from 'RFP: kboot-utils -- Helper tools to generate a kboot.conf file' Request was from Antonio Ospite <ospite@studenti.unina.it> to control@bugs.debian.org. (Wed, 29 May 2013 22:15:08 GMT) Full text and rfc822 format available.

Owner recorded as Antonio Ospite <ospite@studenti.unina.it>. Request was from Antonio Ospite <ospite@studenti.unina.it> to control@bugs.debian.org. (Wed, 29 May 2013 22:15:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 07:06:12 GMT) Full text and rfc822 format available.

Reply sent to Antonio Ospite <ospite@studenti.unina.it>:
You have taken responsibility. (Sat, 14 Dec 2013 18:03:13 GMT) Full text and rfc822 format available.

Notification sent to Antonio Ospite <ospite@studenti.unina.it>:
Bug acknowledged by developer. (Sat, 14 Dec 2013 18:03:13 GMT) Full text and rfc822 format available.

Message #71 received at 641465-close@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: 641465-close@bugs.debian.org
Subject: Bug#641465: fixed in kboot-utils 0.4-1
Date: Sat, 14 Dec 2013 18:00:08 +0000
Source: kboot-utils
Source-Version: 0.4-1

We believe that the bug you reported is fixed in the latest version of
kboot-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641465@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Ospite <ospite@studenti.unina.it> (supplier of updated kboot-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 24 Nov 2013 19:06:22 +0100
Source: kboot-utils
Binary: kboot-utils
Architecture: source all
Version: 0.4-1
Distribution: unstable
Urgency: low
Maintainer: Antonio Ospite <ospite@studenti.unina.it>
Changed-By: Antonio Ospite <ospite@studenti.unina.it>
Description: 
 kboot-utils - helper tools to generate a kboot.conf file
Closes: 641465
Changes: 
 kboot-utils (0.4-1) unstable; urgency=low
 .
   * debian/copyright: update copyright years for package files
 .
 kboot-utils (0.3-1) unstable; urgency=low
 .
   * debian/dirs: remove entries already created by the upstream Makefile
 .
 kboot-utils (0.2-2) unstable; urgency=low
 .
   * debian/copyright: use Copyright Format 1.0
   * debian/rules: remove unneeded comments
   * debian/control: switch to debhelper >= 9
   * debian/control: bump Standards-Version to 3.9.5
   * debian/control: specify the debian package branch in Vcs-Git
   * debian/gbp.conf: explicitly disable pristine-tar
   * debian/control: fix short and long descriptions.
     Thanks to gregor herrmann <gregoa@debian.org>
   * debian/watch: add a watchfile
   * debian/control: fix the long description again
 .
 kboot-utils (0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #641465)
     Thanks to Gergely Nagy for reviewing the package
Checksums-Sha1: 
 4668d38182079b6f6ec44442fd4e7c07602e84d2 1815 kboot-utils_0.4-1.dsc
 951fc786845032fd36fa013426694cfd5f887dab 5761 kboot-utils_0.4.orig.tar.gz
 dc5ae8336937faf44ded17e01b338bb68918b5da 2844 kboot-utils_0.4-1.debian.tar.gz
 0f82cc97ab916418de2dce115e85aed1e0666ce1 8410 kboot-utils_0.4-1_all.deb
Checksums-Sha256: 
 1ecae2c9ac1bad4a1c273aa31766e66abf35a43c369308a9eb66f0e03fcf7025 1815 kboot-utils_0.4-1.dsc
 c002a4060ecee4cff7b0e4efb77b860ff1a15ca6b395de1a6a0be27b4b7253bf 5761 kboot-utils_0.4.orig.tar.gz
 f7af1a8f40e2d717258230232a63679dba520fdeef9d5131f824d7a9a61e4840 2844 kboot-utils_0.4-1.debian.tar.gz
 b75de9914ee0753cfc1bc12d7431cb350d0f43e1638ee3df49e1e09eebd58898 8410 kboot-utils_0.4-1_all.deb
Files: 
 18753fc51c5b2a1468cd85c821b48c86 1815 admin extra kboot-utils_0.4-1.dsc
 c34153bdf9ff67f88789fc794336b5a9 5761 admin extra kboot-utils_0.4.orig.tar.gz
 91b8f6609f7f8382400b2dab57893d89 2844 admin extra kboot-utils_0.4-1.debian.tar.gz
 05c2607a8d99b9dbd9a5959fe74f1432 8410 admin extra kboot-utils_0.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSko5DAAoJELs6aAGGSaoG7gwQAMVH6Mq/k5yBDzTk/kaNdplc
5rC6kFoSFkHs0Mjtmjfi/tlpS7bRyx3ENOeuELod6dMMwN9j8eXaY4/idaqHzqbZ
wdwouXfd94322ZYUXOHNvHtP+Jq1MQJbPGNfVHN6lgtzyeR+v18B3yhtC/tG6HKJ
ZxodVJLwpmahHif25Vo70RNqSqgR+hlUXuuMnGcAxdS6R+kYkzK55i41jIYQP6tS
6bYEAyY0R9eCx5thyvcUwiKx1C5DQry21duiwaS1LiREaOelgpivBs00KEtKshjO
v0yKA9dO2bVG7eWlSX4MiO+LaYi9svRQTbnZVCC8MiCMBsF5YZcNkvRxUOKYXOEG
Wc1MMkwSMmKcayAuzi8cNhAWzfhnqgn+EGCh0p88ITwkhhFv4lM+3xH3xkD1zExl
9x977DGSIM9NHQF64E2cb2Dc99EHzy9jQCQDDJp2k+515gnpfkZoSI88+OfQ4rOi
vhD4EPL4v3bvyPmh8sUzjv/YkAiNn4t9RwcnJCdn2JfY9qYiB4To94b/bl7NW1Li
HW/LUcJZ0AcAF+RSu2u7ern8MRL4Yt7DHSfgVRfAQXMLpaFet/HzVgpcCW1y96cN
zs7xd32rLSSvPUBxdNR36TrjZSZ/7Rn5nI17ojSBTaooTqKqDJARaVbVfMIQCWUk
v1eF65Vh8X6TYfHmjCYI
=ZkQM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jan 2014 07:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:52:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.